- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_cpu_mgmt_class – CLI command to modify cpu-mgmt-class

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module can we used to update mgmt port ingress policers.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_burst_size string |  | ingress traffic burst size (bytes) or default.
pn_cliswitch string |  | Target switch to run the CLI on.
pn_name string | Choices: arp icmp ssh snmp fabric bcast nfs web web-ssl net-api | mgmt port ingress traffic class.
pn_rate_limit string |  | ingress rate limit on mgmt port(bps) or unlimited.
state string / required | Choices: update | State the action to perform. Use `update` to modify cpu-mgmt-class.

## Examples

    - name: cpu mgmt class modify ingress policers
      pn_cpu_mgmt_class:
        pn_cliswitch: "sw01"
        state: "update"
        pn_name: "icmp"
        pn_rate_limit: "10000"
        pn_burst_size: "14000"

    - name: cpu mgmt class modify ingress policers
      pn_cpu_mgmt_class:
        pn_cliswitch: "sw01"
        state: "update"
        pn_name: "snmp"
        pn_burst_size: "8000"
        pn_rate_limit: "100000"

    - name: cpu mgmt class modify ingress policers
      pn_cpu_mgmt_class:
        pn_cliswitch: "sw01"
        state: "update"
        pn_name: "web"
        pn_rate_limit: "10000"
        pn_burst_size: "1000"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the cpu-mgmt-class command.
stdout list | always | set of responses from the cpu-mgmt-class command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.